Folks.AvatarCache.load_avatar – folks Reference Manual

# load_avatar

## Description:

public async LoadableIcon? load_avatar (string id) throws Error

Fetch an avatar from the cache by its globally unique ID.

It is up to the caller to ensure that file I/O is rate-limited when loading many avatars in parallel, by limiting calls to GLib.LoadableIcon.load.

## Parameters:

id | the globally unique ID for the avatar

## Returns:

Avatar from the cache, or `null` if it doesn't exist in the cache

## Exceptions:

GLib.Error | if checking for existence of the cache file failed

## Since:

0.6.0